hwlocality_components_pcifind(3)

NAME
hwlocality_components_pcifind - Components and Plugins: finding PCI objects during other discoveries

SYNOPSIS

  Functions
struct hwloc_obj * hwloc_pci_find_parent_by_busid (struct hwloc_topology *topology, unsigned domain, unsigned bus, unsigned dev, unsigned func)

Detailed Description

Function Documentation

  struct hwloc_obj* hwloc_pci_find_parent_by_busid (struct hwloc_topology * topology, unsigned domain, unsigned bus, unsigned dev, unsigned func)

Find the normal parent of a PCI bus ID. Look at PCI affinity to find out where the given PCI bus ID should be attached.

This function should be used to attach an I/O device under the corresponding PCI object (if any), or under a normal (non-I/O) object with same locality.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.